Indox Auth API - OSLLM AI
string · required boolean · required
string · required boolean · requiredstring · required
OIDC JWKS endpoint for token verification by microservices. OIDC 4.1
GET
/auth/api/v1/.well-known/jwks.json
OIDC JWKS endpoint for token verification by microservices.
This endpoint provides the public keys needed to verify JWT tokens issued by your OIDC Provider for inter-service communication.
No authentication required - Public endpoint for microservices
OIDC JWKS endpoint for token verification by microservices. OIDC 4.1 › Responses
200
OK
Token Introspection by microservices. OIDC 4.2
POST
/auth/api/v1/introspect/
OAuth2 Token Introspection endpoint (RFC 7662) for validating JWT tokens and retrieving complete token metadata including user information, permissions, and service access.
Token Introspection by microservices. OIDC 4.2 › Request Body
Request model for token introspection.
tokenToken Introspection by microservices. OIDC 4.2 › Responses
OK
Response model for token introspection.
activeSimple Token Verification by microservices. OIDC 4.3
POST
/auth/api/v1/verify-token/
Lightweight token validation endpoint for quick authentication checks. Returns only validation status without detailed token metadata.
Simple Token Verification by microservices. OIDC 4.3 › Request Body
Request model for token verification.
tokenSimple Token Verification by microservices. OIDC 4.3 › Responses
OK
Response model for token verification.
validmessage